Subject: Re: [PATCH v1 net] net: mscc: ocelot: remove buggy and useless write to ANA_PFC_PFC_CFG

From: Colin Foster <[email-masked]>
Date: Thu, 16 Sep 2021 18:24:29 -0700

On Thu, Sep 16, 2021 at 11:49:18AM +0000, Vladimir Oltean wrote:
> This will conflict with the other patch.... why didn't you send both as
> part of a series? By not doing that, you are telling patchwork to
> build-test them in parallel, which of course does not work:
> https://patchwork.kernel.org/project/netdevbpf/patch/[email-masked]/
> 
> Also, why didn't you bump the version counter of the patch, and we're
> still at v1 despite the earlier attempt?

I wasn't sure if changing the names of the patch and the intent is what 
would constitute a new "patch series" so then restart the counter for 
the counters or not. I had figured "two new patches, two new counters"
which I understand now was incorrect.

In this particular case, should I have stuck with my first submission
title:
[PATCH v2 net] bug fix when writing MAC speed
and submitted the two patches? 

I assume it would only cause headaches if I incremented the counter and
changed the name to something like
[PATCH v2 net] remove unnecessary register writes
or something simliar? Although your example below suggests I should
maybe submit the next set as
[PATCH v3 net] ocelot phylink fixes

> 
> git format-patch -2 --cover-letter --subject-prefix="PATCH v3 net" -o /opt/patches/linux/ocelot-phylink-fixes/v3/
> ./scripts/get_maintainer.pl /opt/patches/linux/ocelot-phylink-fixes/v3/*.patch
> ./scripts/checkpatch.pl --strict /opt/patches/linux/ocelot-phylink-fixes/v3/*.patch
> # Go through patches, write change log compared to v2 using vimdiff, meld, git range-diff, whatever
> # Write cover letter summarizing what changes and why. If fixing bugs explain the impact.
> git send-email \
> 	--to=[email-masked]' \
> 	--to=[email-masked]' \
> 	--cc='Vladimir Oltean <[email-masked]>' \
> 	--cc='Claudiu Manoil <[email-masked]>' \
> 	--cc='Alexandre Belloni <[email-masked]>' \
> 	--cc=[email-masked]' \
> 	--cc='"David S. Miller" <[email-masked]>' \
> 	--cc='Jakub Kicinski <[email-masked]>' \
> 	/opt/patches/linux/ocelot-phylink-fixes/v3/*.patch

I've been using --to-cmd and --cc-cmd with get_maintainer.pl. If this is
ill-advised, I'll stop. I noticed it seemed to determine the list on a
per-patch-file basis instead of generating one single list.

> 
> Reviewed-by: Vladimir Oltean <[email-masked]>
> 
> Please keep this tag but resend a new version. You can download the patch with the review tags automatically using:
> git b4 [email-masked]
> git b4 [email-masked]
> 
> where "git b4" is an alias configured like this in ~/.gitconfig:
> 
> [b4]
> 	midmask = https://lore.kernel.org/r/%s
> [alias]
> 	b4 = "!f() { b4 am -t -o - $@ | git am -3; }; f"

Thank you for all this. I understand you have better things to do than
to hold my hand through this process, so I greatly appreciate your help.